import { Trade } from '../types';
import AlpacaClient from './AlpacaClient';
export declare const isTimeWithinTradeDay: (date: string) => boolean;
interface SimulateTradeReturn {
    entryDate?: string;
    loss: number;
    lossPercent: number;
    points: [string | undefined, string | undefined];
    profit: number;
    profitPercent: number;
    qty: number;
    exitDate?: string;
    exitTotal: number;
    exitPrice: number;
    spent: number;
    targetedLoss: number;
    targetedLossPercent: number;
    targetedProfit: number;
    targetedProfitPercent: number;
}
declare const simulateTrade: ({ accountBudget, accountBudgetMultiplier, accountBudgetPercentPerTrade, alpacaClient, entryDate: entryDateParam, isFractional, isShort, hwm: hwmParam, maxLossPercent, mostRecentTrade: mostRecentTradeParam, priceProofEntry: priceProofEntryParam, priceProofExit: priceProofExitParam, priceProofStop: priceProofStopParam, next_page_token, retryCount, sellOnDownwardMovement, strategyResult, stopPrice: stopPriceParam, symbol, }: {
    accountBudget: number;
    accountBudgetMultiplier?: number | undefined;
    accountBudgetPercentPerTrade: number;
    alpacaClient: AlpacaClient;
    entryDate?: string | undefined;
    isFractional?: boolean | undefined;
    isShort?: boolean | undefined;
    hwm?: number | undefined;
    maxLossPercent?: number | undefined;
    mostRecentTrade?: Trade | undefined;
    priceProofEntry?: number[] | undefined;
    priceProofExit?: number[] | undefined;
    priceProofStop?: number[] | undefined;
    next_page_token?: string | undefined;
    retryCount?: number | undefined;
    sellOnDownwardMovement?: boolean | undefined;
    strategyResult: any;
    stopPrice?: number | undefined;
    symbol: string;
}) => Promise<SimulateTradeReturn | undefined>;
export default simulateTrade;
