import { TradeTimes } from '../types';
import { Bar, BarWithExtras, TechnicalIndicatorsInput } from '../types';
import AlpacaClient from './AlpacaClient';
export declare const formatCurrencyNumber: (currencyNumber: number) => number;
export declare const delay: (timeout: number) => Promise<unknown>;
export declare const getTechnicalIndicatorsInput: (bars: Bar[]) => TechnicalIndicatorsInput;
export declare const getPercentChange: (first: number, last: number, options?: {
    percentOf?: number;
}) => number;
export declare const formattedLog: ({ isBad, message, name, symbol, }: {
    isBad?: boolean | undefined;
    message: string;
    name: string;
    symbol: string;
}) => void;
export declare const getRvol: ({ averageVolume, currentVolume, }: {
    averageVolume: number;
    currentVolume: number;
}) => number;
export declare const getEma: ({ bars, period, }: {
    bars: Bar[];
    period: number;
}) => number | undefined;
export declare const getEmaData: ({ bars, period, }: {
    bars: Bar[];
    period: number;
}) => number[];
export declare const getRsi: ({ bars, period, }: {
    bars: Bar[];
    period: number;
}) => number | undefined;
export declare const getStochastic: ({ bars, period, signalPeriod, }: {
    bars: Bar[];
    period?: number | undefined;
    signalPeriod?: number | undefined;
}) => import("technicalindicators/declarations/momentum/Stochastic").StochasticOutput[];
export declare const getBarsWithExtras: (bars: Bar[]) => BarWithExtras[];
export declare const getBarsWithRealTimeMostRecent: ({ realTimeBar, bars, }: {
    realTimeBar: Bar;
    bars: Bar[];
}) => Bar[];
export declare const getIndicators: ({ bars, indicatorBarIndex, stochasticPeriod, stochasticSignalPeriod, }: {
    bars: Bar[];
    indicatorBarIndex?: number | undefined;
    stochasticPeriod?: number | undefined;
    stochasticSignalPeriod?: number | undefined;
}) => {
    barsWithExtras: BarWithExtras[];
    ema8: number | undefined;
    ema9: number | undefined;
    ema20: number | undefined;
    ema50: number | undefined;
    ema100: number | undefined;
    rsi: number | undefined;
    stochastic: import("technicalindicators/declarations/momentum/Stochastic").StochasticOutput[];
    rvol: number;
    vwap: number;
};
export declare const getCustomComparisonName: ({ increment, name, range, value, }: {
    increment: number;
    name: string;
    range: [number, number];
    value?: number | undefined;
}) => string;
export declare const validateBarsResponse: ({ response, symbol, }: {
    response: any;
    symbol: string;
}) => Promise<boolean | undefined>;
export declare const getBars: ({ alpacaClient, bars, end, limit, next_page_token, start, symbol, timeframe, }: {
    alpacaClient: AlpacaClient;
    bars?: Bar[] | undefined;
    end?: string | undefined;
    limit?: number | undefined;
    next_page_token?: string | undefined;
    start: string;
    symbol: string;
    timeframe: string;
}) => Promise<Bar[] | {
    retry: true;
} | undefined>;
export declare const getBarsWithRetry: ({ alpacaClient, end, limit, retryCount, retryMax, retryDelay, start, symbol, timeframe, }: {
    alpacaClient: AlpacaClient;
    end?: string | undefined;
    limit?: number | undefined;
    retryCount?: number | undefined;
    retryMax?: number | undefined;
    retryDelay?: number | undefined;
    start: string;
    symbol: string;
    timeframe: string;
}) => Promise<Bar[] | undefined>;
export declare const isWithinExistingTradeTime: (date: string, tradeTimes: TradeTimes[]) => boolean;
export declare const sortByKey: ({ array, key, direction, }: {
    array: any[];
    key: string;
    direction?: "ascending" | "descending" | undefined;
}) => any[];
export declare const getQty: ({ alpacaClient, buyingPower: buyingPowerParam, buyingPowerNonMarginable: buyingPowerNonMarginableParam, isCrypto, isFractional, isShort, maxLossPercent, percentOfBuyingPower, price, stopPrice, }: {
    alpacaClient?: AlpacaClient | undefined;
    buyingPower: number;
    buyingPowerNonMarginable: number;
    isCrypto?: boolean | undefined;
    isFractional?: boolean | undefined;
    isShort?: boolean | undefined;
    maxLossPercent?: number | undefined;
    percentOfBuyingPower?: number | undefined;
    price: number;
    stopPrice: number;
}) => Promise<number>;
export declare function randomSort(): number;
type Primitive = string | boolean | number;
export declare const getRandomlySortedArray: <Type extends Primitive>(array: Type[]) => Type[];
export declare const numberWithCommas: (x: number) => string;
export declare const numberStringWithCommas: (x: string) => string;
export {};
